Type to search.

Mount a snapshot

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.10 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Mount a snapshot as a searchable snapshot index. Do not use this API for snapshots managed by index lifecycle management (ILM). Manually mounting ILM-managed snapshots can interfere with ILM processes.

Required privileges

Index privileges manage
Cluster privileges manage

Path parameters

repository string required

The name of the repository containing the snapshot of the index to mount.

snapshot string required

The name of the snapshot of the index to mount.

Query parameters

master_timeout union oneOf · default: 30s

The period to wait for the master node. If the master node is not available before the timeout expires, the request fails and returns an error. To indicate that the request should never timeout, set it to -1.

Values: -1 0
wait_for_completion boolean · default: false

If true, the request blocks until the operation is complete.

storage enum · default: full_copy

The mount option for the searchable snapshot index. For further information on mount options, refer to: Mount options

Supported values include:

  • full_copy: Fully caches the snapshotted index’s shards in the Elasticsearch cluster.
  • shared_cache: Uses a local cache containing only recently searched parts of the snapshotted index’s data.
Values: full_copy shared_cache

Request body

index string required

The name of the index contained in the snapshot whose data is to be mounted. If no renamed_index is specified, this name will also be used to create the new index.

renamed_index string

The name of the index that will be created.

index_settings map string to object

The settings that should be added to the index when it is mounted.

ignore_index_settings string[]

The names of settings that should be removed from the index when it is mounted.

Response

application/json
snapshot object required
snapshot string required
indices union oneOf required
One of: string[] or string
shards object required
failed number required

The number of shards the operation or search attempted to run on but failed.

successful number required

The number of shards the operation or search succeeded on.

total number required

The number of shards the operation or search will run on overall.

skipped number